---
title: Get Finance Offers for a Product
slug: api-documentation/get-finance-offers-for-a-product
docTags: 
createdAt: 2026-08-27T16:56:05.859Z
---

{
  "id": "OYXWP1Elyat2nG3DLf_LP",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/finance-offers/products/{productId}",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/finance-offers/products/{productId}"
      }
    ],
    "name": "Get Finance Offers for a Product",
    "description": "<p>Returns enabled finance offers associated with the given product. Intended for use on\nproduct description pages to surface financing messaging without requiring a card number\nor purchase amount. No provider (Synchrony) call is made.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>finance-offer.read</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "productId",
          "type": "string",
          "description": "The catalog product id to look up associated finance offers for."
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "AnonymousAuth",
          "name": "AnonymousAuth",
          "kind": "optional",
          "type": "http",
          "description": "This is the most basic authentication. The minimum requirement for access is a token representing the user as an anonymous client.",
          "scheme": "bearer"
        },
        {
          "id": "LoggedIn",
          "name": "LoggedIn",
          "kind": "optional",
          "type": "http",
          "description": "The presence of this token indicates that the user is a known consumer that has previously logged into the platform.",
          "scheme": "bearer"
        },
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Finance offers associated with the product returned (may be empty).</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "This represents the common structure of a finance offer.",
            "customType": "FinanceOffer[]",
            "schema": [
              {
                "name": "id",
                "kind": "required",
                "type": "string<uuid>",
                "description": "",
                "format": "uuid"
              },
              {
                "name": "activationDate",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "<p>The (inclusive) date on which this finance offer becomes available (format 2017-07-21).</p>",
                "example": "2017-07-21T17:32:28Z",
                "format": "date-time"
              },
              {
                "name": "creationDate",
                "kind": "required",
                "type": "string<date-time>",
                "description": "<p>A read-only timestamp indicating when this finance offer was created (format 2017-07-21T17:32</p><div></div>)<p></p>",
                "example": "2017-07-21T17:32:28Z",
                "format": "date-time"
              },
              {
                "name": "currency",
                "kind": "required",
                "type": "string",
                "description": "<p>The <a href=\"https://en.wikipedia.org/wiki/ISO_4217\" target=\"_blank\">3-character ISO code</a>. Must be one of the supported currencies (currently only USD is supported).</p>",
                "example": "USD"
              },
              {
                "name": "deactivationDate",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "<p>The (exclusive) date that this finance offer becomes unavailable (format 2017-07-21).</p>",
                "example": "2017-07-21T17:32:28Z",
                "format": "date-time"
              },
              {
                "name": "description",
                "kind": "required",
                "type": "string",
                "description": "A Summary of the terms related to this finance offer that the end customer must agree to.",
                "example": "In accepting this offer you receive 6 months interest free when you spend over $1,000. After 6 months...."
              },
              {
                "name": "downPayment",
                "kind": "optional",
                "type": "object",
                "description": "<p>If required, this would be the amount for a down-payment that is necessary to take advantage of this finance offer.\nThis can be represented in one of a couple of forms:</p>\n<ul>\n<li>AbsoluteDownPayment - a fixed amount.</li>\n<li>RelativeDownPayment - a percentage amount based on the ENTIRE order value (taxes, shipping, and product).</li>\n<li>DeliveryAndTaxes - this indicates that the consumer needs to pay for taxes and delivery fees as a down payment.</li>\n</ul>",
                "modelRef": "#/components/schemas/DownPayment",
                "customType": "DownPayment",
                "schema": [],
                "complexType": "oneOf",
                "complexItems": [
                  {
                    "name": "AbsoluteDownPayment",
                    "description": "",
                    "modelRef": "#/components/schemas/AbsoluteDownPayment",
                    "schema": [
                      {
                        "name": "amount",
                        "kind": "required",
                        "type": "number",
                        "description": "",
                        "example": 500
                      }
                    ]
                  },
                  {
                    "name": "RelativeDownPayment",
                    "description": "",
                    "modelRef": "#/components/schemas/RelativeDownPayment",
                    "schema": [
                      {
                        "name": "percent",
                        "kind": "required",
                        "type": "number<double>",
                        "description": "",
                        "example": 0.2,
                        "format": "double",
                        "minimum": 0,
                        "maximum": 1
                      }
                    ]
                  },
                  {
                    "name": "DeliveryAndTaxes",
                    "description": "",
                    "modelRef": "#/components/schemas/DeliveryAndTaxes",
                    "schema": [
                      {
                        "name": "type",
                        "kind": "required",
                        "type": "string",
                        "description": "",
                        "default": "DeliveryAndTaxes"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "enabled",
                "kind": "required",
                "type": "boolean",
                "description": "<p>Toggle determining whether this finance offer is accessible or not. Deactivating this overrides any of the date-based activations.</p>",
                "example": false
              },
              {
                "name": "financeOfferType",
                "kind": "required",
                "type": "string",
                "description": "",
                "modelRef": "#/components/schemas/FinanceOfferType",
                "customType": "FinanceOfferType",
                "schema": []
              },
              {
                "name": "internalName",
                "kind": "required",
                "type": "string",
                "description": "<p>A user-friendly internal-representation of the finance offer, not intended to be displayed to the consumer.</p>",
                "example": "6mos Free interest +$1000"
              },
              {
                "name": "minimumMonthlyPayment",
                "kind": "optional",
                "type": "number",
                "description": "The minimum monthly payment for this finance offer.",
                "example": 100,
                "minimum": 0
              },
              {
                "name": "minimumPurchaseAmount",
                "kind": "required",
                "type": "number",
                "description": "The minimum amount the consumer must spend in order to qualify for this finance offer.",
                "example": 1000,
                "minimum": 0
              },
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "<p>A consumer-facing name to be used when rendering this finance offer.</p>",
                "example": "Get 6 months free interest when you finance $1000 or more"
              },
              {
                "name": "promotionalPeriodMonths",
                "kind": "required",
                "type": "integer<int32>",
                "description": "The length of the promotional period in months.",
                "example": 12,
                "format": "int32",
                "minimum": 0
              },
              {
                "name": "provider",
                "kind": "required",
                "type": "string",
                "description": "",
                "modelRef": "#/components/schemas/Provider",
                "customType": "Provider",
                "schema": []
              },
              {
                "name": "providerFinanceOfferId",
                "kind": "required",
                "type": "string",
                "description": "",
                "modelRef": "#/components/schemas/ProviderFinanceOfferId",
                "customType": "ProviderFinanceOfferId",
                "schema": []
              },
              {
                "name": "siteIds",
                "kind": "required",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "sortOrder",
                "kind": "required",
                "type": "integer<int32>",
                "description": "This toggle enables a prioritized sort when multiple finance offers are selected.",
                "example": 1,
                "format": "int32",
                "minimum": 0
              },
              {
                "name": "tiers",
                "kind": "required",
                "type": "array",
                "description": "This allows for tiers to be provided based on the setup of the finance offer provider.",
                "modelRef": "#/components/schemas/Tier",
                "customType": "Tier[]",
                "schema": []
              },
              {
                "name": "promotionalFee",
                "kind": "required",
                "type": "number",
                "description": "The promotional fee for this finance offer.",
                "example": 0,
                "minimum": 0,
                "maximum": 100
              },
              {
                "name": "productBasedOffer",
                "kind": "required",
                "type": "boolean",
                "description": "Indicates whether this offer is associated with specific products.",
                "example": true
              }
            ],
            "modelRef": "#/components/schemas/FinanceOffer",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "a6RNydp1PnNWvvi60dzg4",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/finance-offers/products/{productId} \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "tNfwOk7y17iDAAJhB_gTw",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/finance-offers/products/{productId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "jXy9BXDNvipBo2meQmzEg",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/finance-offers/products/{productId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "vYmc6NHqNqmDsp1nh32C2",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/finance-offers/products/{productId}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "a6RNydp1PnNWvvi60dzg4"
    },
    "results": {
      "languages": [
        {
          "id": "TbQyzwlh9A0_ZtNGTG845",
          "language": "200",
          "code": "// Finance offers associated with the product returned (may be empty).\n[\n  {\n    \"id\": \"\",\n    \"activationDate\": \"2017-07-21T17:32:28Z\",\n    \"creationDate\": \"2017-07-21T17:32:28Z\",\n    \"currency\": \"USD\",\n    \"deactivationDate\": \"2017-07-21T17:32:28Z\",\n    \"description\": \"In accepting this offer you receive 6 months interest free when you spend over $1,000. After 6 months....\",\n    \"downPayment\": {},\n    \"enabled\": false,\n    \"financeOfferType\": \"\",\n    \"internalName\": \"6mos Free interest +$1000\",\n    \"minimumMonthlyPayment\": 100,\n    \"minimumPurchaseAmount\": 1000,\n    \"name\": \"Get 6 months free interest when you finance $1000 or more\",\n    \"promotionalPeriodMonths\": 12,\n    \"provider\": \"\",\n    \"providerFinanceOfferId\": \"\",\n    \"siteIds\": [\n      \"\"\n    ],\n    \"sortOrder\": 1,\n    \"tiers\": [\n      \"\"\n    ],\n    \"promotionalFee\": 0,\n    \"productBasedOffer\": true\n  }\n]"
        },
        {
          "id": "K4qy0X-0isGSBySlCBZXi",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "TbQyzwlh9A0_ZtNGTG845"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}